#1229 THE cannot find a registered function

v4.2.0
closed
None
none
1
2014-04-15
2013-12-23
No

"A THE macro containing a call to the inprefix() function worked fine with ooRexx 4.1.x and now when using ooRexx 4.2.x the inprefix() macro appears to be unavailable. The THE executable has not changed.

The version of THE that Walter is using is built with Rexx/Wrapper which obtains the address of the Rexx SAA API functions from either Regina or ooRexx at THE startup. Using these loaded function addresses, THE registers a number of functions used by THE macros, one of which is inprefix().

The Rexx/Wrapper logs for both versions of ooRexx 4.1.x shows
RexxRegisterFunctionExe() returning a valid memory address and the registration of inprefix() also succeeding.

The problem appears to be that ooRexx 4.2.x is unable to find an application function registered with RexxRegisterFunctionExe. "

Since I Encounter this Problem in a rather Elaborate context (Les Koehler's macro package and THE3.3) I will try to reproduce id with a Minimum Setup.

Related

Bugs: #1229

Discussion

  • Walter Pachl

    Walter Pachl - 2013-12-23

    I tried to install 4.2 and the3.3 on my other laptop
    and get now RexxResolveSubcom not found in rexxapi.dll

    I attach a Screen shot of the original error message
    and the install exe for THE 3.3

     
  • Walter Pachl

    Walter Pachl - 2013-12-23

    here's the Screen shot

     
  • Walter Pachl

    Walter Pachl - 2013-12-23

    a minimum scenario that shows the error is as follows.
    use a profile.the that just contains EXIT
    Start the.exe
    and enter the command rexx msg inprefix()
    If things work correctly you shall see 0
    With ooRexx 4.2 you (well, I) get the error

     
  • Rick McGuire

    Rick McGuire - 2013-12-23
    • status: open --> accepted
    • assigned_to: Rick McGuire
    • Group: None --> v4.2.0
     
  • Rick McGuire

    Rick McGuire - 2013-12-23

    Committed [r9753] 4.2.0
    Committed [r9754] trunk

    I have not been able to test this yet, but if the overnight build succeeds, I'll post a link to the new version you can try out. I'll probably not be able to test this out myself on THE until after Christmas.

     

    Related

    Commit: [r9753]
    Commit: [r9754]

  • Mark Miesfeld

    Mark Miesfeld - 2013-12-23

    I've noticed that the build machine does not seem to be producing the Windows builds lately.

    Walter - I'll do a Window build this evening and make it available to you. I'll add a note to this bug as to how to get it later.

     
  • Rick McGuire

    Rick McGuire - 2013-12-23

    Walter, please post a link for downloading the version of THE you are using. Not sure which particular version I need. The latest 3.3 release candidates all appear to be Linux versions.

     
    • Walter Pachl

      Walter Pachl - 2013-12-23

      I attached the executable that I used to install.
      But let me verify the workings tomorrow
      Walter Pachl

      ---- Rick McGuire bigrixx@users.sf.net schrieb:

      Walter, please post a link for downloading the version of THE you are using. Not sure which particular version I need. The latest 3.3 release candidates all appear to be Linux versions.


      [bugs:#1229] THE cannot find a registered function

      Status: accepted
      Created: Mon Dec 23, 2013 03:34 PM UTC by Walter Pachl
      Last Updated: Mon Dec 23, 2013 08:02 PM UTC
      Owner: Rick McGuire

      "A THE macro containing a call to the inprefix() function worked fine with ooRexx 4.1.x and now when using ooRexx 4.2.x the inprefix() macro appears to be unavailable. The THE executable has not changed.

      The version of THE that Walter is using is built with Rexx/Wrapper which obtains the address of the Rexx SAA API functions from either Regina or ooRexx at THE startup. Using these loaded function addresses, THE registers a number of functions used by THE macros, one of which is inprefix().

      The Rexx/Wrapper logs for both versions of ooRexx 4.1.x shows
      RexxRegisterFunctionExe() returning a valid memory address and the registration of inprefix() also succeeding.

      The problem appears to be that ooRexx 4.2.x is unable to find an application function registered with RexxRegisterFunctionExe. "

      Since I Encounter this Problem in a rather Elaborate context (Les Koehler's macro package and THE3.3) I will try to reproduce id with a Minimum Setup.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/oorexx/bugs/1229/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1229

  • Walter Pachl

    Walter Pachl - 2013-12-23

    Thanks to all

    Walter Pachl (ein blindes Huhn das ein Körndl fand)

    German proverb: Even a blind hen sometimes finds a grain of corn

    ---- Mark Miesfeld miesfeld@users.sf.net schrieb:

    I've noticed that the build machine does not seem to be producing the Windows builds lately.

    Walter - I'll do a Window build this evening and make it available to you. I'll add a note to this bug as to how to get it later.


    [bugs:#1229] THE cannot find a registered function

    Status: accepted
    Created: Mon Dec 23, 2013 03:34 PM UTC by Walter Pachl
    Last Updated: Mon Dec 23, 2013 07:57 PM UTC
    Owner: Rick McGuire

    "A THE macro containing a call to the inprefix() function worked fine with ooRexx 4.1.x and now when using ooRexx 4.2.x the inprefix() macro appears to be unavailable. The THE executable has not changed.

    The version of THE that Walter is using is built with Rexx/Wrapper which obtains the address of the Rexx SAA API functions from either Regina or ooRexx at THE startup. Using these loaded function addresses, THE registers a number of functions used by THE macros, one of which is inprefix().

    The Rexx/Wrapper logs for both versions of ooRexx 4.1.x shows
    RexxRegisterFunctionExe() returning a valid memory address and the registration of inprefix() also succeeding.

    The problem appears to be that ooRexx 4.2.x is unable to find an application function registered with RexxRegisterFunctionExe. "

    Since I Encounter this Problem in a rather Elaborate context (Les Koehler's macro package and THE3.3) I will try to reproduce id with a Minimum Setup.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/oorexx/bugs/1229/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1229

  • Rick McGuire

    Rick McGuire - 2013-12-24

    Mark, I've been able to reproduce this problem, and it looks like my guess as to what was causing the problem was wrong. Something puzzling is going on that I'm still debugging, but making a new build for Walter at this point will be a waste of time.

     
  • Mark Miesfeld

    Mark Miesfeld - 2013-12-24

    Rick,

    Thanks for the tip. Actually, I was just about to install THE and try to reproduce the problem before I did a rebuild.

     
  • Rick McGuire

    Rick McGuire - 2013-12-24

    Committed [r9757] 4.2.0

    Mark, I think it should be ok to try spinning a new build for Walter. Note that he'll need the 32-bit version with this THE version.

     

    Related

    Commit: [r9757]

  • Rick McGuire

    Rick McGuire - 2013-12-24

    Committed [r9758] trunk

     

    Related

    Commit: [r9758]

    • Walter Pachl

      Walter Pachl - 2013-12-24

      Problem's gone with Mark's build
      REXX-ooRexx_4.2.0(MT)_32-bit 6.04 23 Dec 2013
      Thanks a lot & Merry Christmas or whatever
      Walter

      ---- Rick McGuire bigrixx@users.sf.net schrieb:

      Committed [r9758] trunk


      [bugs:#1229] THE cannot find a registered function

      Status: accepted
      Created: Mon Dec 23, 2013 03:34 PM UTC by Walter Pachl
      Last Updated: Tue Dec 24, 2013 03:23 AM UTC
      Owner: Rick McGuire

      "A THE macro containing a call to the inprefix() function worked fine with ooRexx 4.1.x and now when using ooRexx 4.2.x the inprefix() macro appears to be unavailable. The THE executable has not changed.

      The version of THE that Walter is using is built with Rexx/Wrapper which obtains the address of the Rexx SAA API functions from either Regina or ooRexx at THE startup. Using these loaded function addresses, THE registers a number of functions used by THE macros, one of which is inprefix().

      The Rexx/Wrapper logs for both versions of ooRexx 4.1.x shows
      RexxRegisterFunctionExe() returning a valid memory address and the registration of inprefix() also succeeding.

      The problem appears to be that ooRexx 4.2.x is unable to find an application function registered with RexxRegisterFunctionExe. "

      Since I Encounter this Problem in a rather Elaborate context (Les Koehler's macro package and THE3.3) I will try to reproduce id with a Minimum Setup.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/oorexx/bugs/1229/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1229
      Commit: [r9758]

  • Walter Pachl

    Walter Pachl - 2013-12-24

    problem is gone with Mark Miesfeld's build
    REXX-ooRexx_4.2.0(MT)_32-bit 6.04 23 Dec 2013
    thanks
    walter

     
  • Walter Pachl

    Walter Pachl - 2013-12-25

    fixed!?!!!
    thanks!!!
    Walter

     
  • Mark Miesfeld

    Mark Miesfeld - 2014-01-20

    Rick, Walter seems to think this is fixed. Is it okay to move it to pending?

     
    • Walter Pachl

      Walter Pachl - 2014-01-20

      Sometimes it's good to be picky;.)
      Greetings & thanks
      --
      Walter Pachl (proud of having detected and reported 2 bugs and getting them fixed in 4.2.0)

       
  • Rick McGuire

    Rick McGuire - 2014-01-20
    • status: accepted --> pending
     
  • Rick McGuire

    Rick McGuire - 2014-01-20

    Sorry, thought I had already done that.

     
  • Rick McGuire

    Rick McGuire - 2014-04-15
    • status: pending --> closed
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks